#ifndef AGENTOPS_H
#define AGENTOPS_H

#include "Instance.h"  // Include the necessary headers
#include "Solution.h"  // Include the necessary headers
#include "Utils.h"

void agents_sort_abs_cust(std::vector<int>& A, const Instance& instance, char order = '\0');

std::vector<std::vector<int>> agents_heuristic_deconstruction_selection(Solution& solution, float c_bar, int m);

std::tuple<Solution, std::vector<float>> agents_remove_recreate_allImp(Solution solution, std::vector<std::vector<int>>& A, float beta, int n, float T, bool insertInNewToursOnly = true);

#endif // AGENTOPS_H 